
.portada-contacte{
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
  }

  .portada-bis{
    height:700px;
    object-fit: cover;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    
    h2{
      color:white;
      font-family: "Inter", sans-serif;
      margin: 0;
    }

    h1{
        color: white;
        font-family: "Roboto Serif", serif;
        text-transform: uppercase;
        margin: 0;
        font-size: 8rem;
    }

    .booking-box{
        bottom: 0;
        transform: translate(-50%, 50%);
    }

    
  }

  .portada-button{
    display: none;
  }



/* GRID SERVEIS CONTACTAR */


/* Contenidor de la graella */
.serveisContactar-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 40px;
    row-gap: 100px;
    padding: 80px 0;
    margin: 0 auto;
    text-align: center;
    position: relative;
    width: 80%;
}

.serveisContactar-grid.triple {
    grid-template-columns: repeat(3, 1fr);
    padding-top:0;
}



/* Estil de cada card de servei */
.serveisContactar-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start; /* Ajuda a alinear els botons al final */
}




.formulari-contacte{

    padding: 3% 0;
    text-align: center;
    

    h2{
        color: var(--brandDarkColor);
        font-size: var(--sectionTitleFontSize);

    }

    p{
        font-family: "Inter", sans-serif;
        font-weight: 400;
    }
    
   
}

.form {
    max-width: 60%; 
    padding: 0 20px;
    text-align: left;
    margin: auto;
    display: block;
  }
  
  .form {
    margin-top: 50px;
  }
  
  .input-group {
    margin-bottom: 30px;
    display: flex;
    flex-direction: column;
  }
  
  .input-group label {
    font-family: "Inter", sans-serif;
    font-size: 0.9rem;
  }
  
  .input-group input, 
  .input-group textarea {
    border: none;
    border-bottom: 1px solid #D1C198; /* El color daurat suau de la imatge */
    padding: 10px 0;
    outline: none;
    font-family: inherit;
    background: transparent;
  }
  
  .input-group textarea {
    border: 1px solid #D1C198; /* El missatge sí que té un recuadré complet */
    margin-top: 10px;
    padding: 10px;
  }
  
  .form-footer {
    display: flex;
      justify-content: flex-end;
    align-items: center;
    margin-top: 30px;
  }
  
  .checkbox-container {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 0.85rem;
    color: #333;
    cursor: pointer;
    margin-top: 10px;
  }

  .checkbox-container input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    width: 18px;
    height: 18px;
    border: 1.5px solid var(--brandColor);
    background-color: transparent;
    cursor: pointer;
    position: relative;
    outline: none;
    flex-shrink: 0;
  }

  .checkbox-container input[type="checkbox"]:checked::after {
    content: '';
    position: absolute;
    left: 5px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid var(--brandColor);
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
  }
  
  /* Estil del botó daurat */
  .btn-enviar {
    background-color: #D1C198; /* Color sorra/daurat de la captura */
    color: var(--brandDarkColor);
    border: none;
    padding: 15px 60px;
    border-radius: 50px;
    font-weight: 600;
    text-transform: capitalize;
    cursor: pointer;
    transition: background 0.3s ease;
  }
  
  .btn-enviar:hover {
    background-color: #D1C198;
  }


  /* ON SOM */

  .on-som{
        background: #F1EDE0 var(--backgroundImage02) center;
        gap: 20px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 3% 0 5% 0;
        

        .alga-sectio-title-dark{
            font-size: var(--sectionTitleFontSize);
            margin: 0;
        }

        .info-hotel-column{
            
            width: 80%;
        }

        .info-hotel-column .menu-image img {
            border-radius: 0 20px 20px 0;
        }
  }

/********************************* RESPONSIVE *********************************/

@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1400px)
  and (-webkit-min-device-pixel-ratio: 2) {
    
    .portada-button{
        display: none;
    }
   
    
  }


/* TABLET FINS A 1024px */

  @media screen and (max-width: 1024px) {
    
    .booking-box{
      display: none;
    }
    .portada-button{
      display: block;
     }

     .portada-bis {
        h1 {
          font-size: 3.2rem;
        }
    }
    .formulari-contacte {
        padding: 3% 8%;
    }
    .form{
      max-width: 85%;
    }
    .info-hotel-column {
      flex-direction: column;
    }
    .info-text {
        width: auto;
        padding: 5%;
    }
    .on-som {
      padding: 5% 0 10% 0;
          .info-hotel-column .menu-image img {
              border-radius: 0 0 20px 20px;
          }
    }

      .serveisContactar-grid,
      .serveisContactar-grid.triple{
          grid-template-columns: repeat(2, 1fr);
      }
    
  }



@media screen and (max-width: 768px) {

    .serveisContactar-grid,
    .serveisContactar-grid.triple{
        grid-template-columns: repeat(1, 1fr);
    }
}


    /* --- MÒBIL (Per defecte i fins a 600px aprox) */
@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 568px)
  and (-webkit-min-device-pixel-ratio: 2)
  and (orientation: portrait) {

    .portada-button{
      display: block;
    }
    
    .portada-contacte h1{
      font-size: 3.2rem;
    }

    .formulari-contacte {
        p {
            font-family: "Inter", sans-serif;
            font-weight: 400;
            padding: 0 5%;
        }
    }

    .form{
      max-width: 85%;
    }

    .form-footer{
      flex-direction: column;
      align-items: start;
      gap: 15px;
    }

    .formulari-contacte {
      padding: 3% 0 10% 0;
    }
    .formulari-contacte {
      h2 {
          color: var(--brandDarkColor);
          font-size: 2.5rem;
      }
    }
    .info-hotel-column {
      flex-direction: column;
    }
    .info-text {
        width: auto;
        padding: 5%;
    }
    .on-som {
      padding: 5% 0 10% 0;
      background-size: cover;
          .info-hotel-column .menu-image img {
              border-radius: 0 0 20px 20px;
          }
    }


  }
